# Remove-RASProviderRemotePCStatic

### NAME

Remove-RASProviderRemotePCStatic\ <br>

### SYNOPSIS

Removes a Remote PC Static from a Provider.\ <br>

### SYNTAX

Remove-RASProviderRemotePCStatic \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#Id)] *\<uint>* -[RemotePCStaticId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#RemotePCStaticId) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#CommonParameters)*>*]\
\
Remove-RASProviderRemotePCStatic \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#InputObject)] *<*[*RemotePCStaticProvider*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RemotePCStaticProvider.html)*>* -[RemotePCStaticId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#RemotePCStaticId) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#CommonParameters)*>*]\
\
Remove-RASProviderRemotePCStatic \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#SiteId)] *\<uint>*] -[RemotePCStaticId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#RemotePCStaticId) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASProviderRemotePCStatic.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Removes a Remote PC Static from a Provider.\ <br>

### PARAMETERS

\
-**RemotePCStaticId \<string>**\
The ID of the Remote PC Static to be removed.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Server \<string>**\
The name of the target Provider server.\
\
This must be the actual server name used in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID in which to modify the specified Provider server.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the Provider server to modify. To obtain the ID, use the Get-RASProvider cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**RemotePCStaticProvider**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RemotePCStaticProvider.html)**>**\
An object representing the Provider server to modify.\
\
To obtain the object, use the Get-RASProvider cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[RemotePCStaticProvider](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RemotePCStaticProvider.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Remove-RASProviderRemotePCStatic -Id 1 -RemotePCStaticId 42311235-09c5-ca15-337d-b9723015edf0\
\
Removes the Remote PC Static with Id 42311235-09c5-ca15-337d-b9723015edf0 from the Provider with Id 1.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/remove-rasproviderremotepcstatic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
